Page MenuHomePhabricator

AstroPay should be the preferred payment method for supported countries
Closed, ResolvedPublic1 Story Points

Description

GatewayFormChooser should prefer AstroPay over GlobalCollect, for countries where it's available. This can be set in DonationInterfaceFormSettings.php.

Event Timeline

awight created this task.Apr 20 2016, 5:50 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 20 2016, 5:50 PM
awight triaged this task as Unbreak Now! priority.Apr 20 2016, 5:50 PM
awight set the point value for this task to 1.
Restricted Application added subscribers: Luke081515, Urbanecm. · View Herald TranscriptApr 20 2016, 5:50 PM

FWIW I refreshed that link a few times and got different results: email-cc-vm, cc-vm, and astropay-cl.

Uh, oh... selection is non-deterministic. Rather than take the form with the greatest weight, we roll a die and use weights as the chance of selecting each form.

We're now appending a gateway=astropay parameter for these countries from banners and donatewiki (which I just fixed). So fixing this in GatewayFormChooser isn't needed before we launch, although it would be nice.

awight lowered the priority of this task from Unbreak Now! to High.Apr 20 2016, 6:28 PM

Thanks!

Change 284503 had a related patch set uploaded (by Awight):
Use selection weights deterministically

https://gerrit.wikimedia.org/r/284503

Change 284503 merged by jenkins-bot:
Use selection weights deterministically

https://gerrit.wikimedia.org/r/284503

Ejegg closed this task as Resolved.Apr 27 2016, 10:01 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:48 PM